function [avgres, avgberr, avgiter, avgadjust, avgbegres, avgpmag, avgtime, cvg] = runsimptest(r, deg, nvar, npoly, tconds, err, dist)
avgres = zeros(10,1);
avgberr = zeros(10,1);
avgiter = zeros(10,1);
avgadjust = zeros(10,1);
avgbegres = zeros(10,1);
avgpmag = zeros(10,1);
avgtime = zeros(10,1);
cvg = zeros(10,1);
for i = 1:r
    cdist = dist*2.0;
    k = 0;
    F = [100];
    berr = 0;
    pmag = 0;
    res = 1;
    begres = 0;
%  while norm(F(:)) > pmag && k < 10
  while res > begres && k < 10
    cdist = cdist/2.0;
    [F, rts, iter, support, origsys, psys, res, berr, begres, pmag, t] = runsimpcase(i, deg, nvar, npoly, tconds, err, cdist);
    k = k+1;
  end
  avgbegres(k) = avgbegres(k) + begres;
  avgres(k) = avgres(k) + res;
  avgadjust(k) = avgadjust(k) + norm(F(:));
  avgberr(k) = avgberr(k) + berr;
  avgiter(k) = avgiter(k) + iter;
  avgpmag(k) = avgpmag(k) + pmag;
  avgtime(k) = avgtime(k) + t;
  cvg(k) = cvg(k)+1;
  display(i);
end

avgbegres = avgbegres./cvg;
avgadjust = avgadjust./cvg;
avgres = avgres./cvg;
avgberr = avgberr./cvg;
avgiter = avgiter./cvg;
avgpmag = avgpmag./cvg;
avgtime = avgtime./cvg;