function [p, s] = mrandpoly(degree, nterms, nvar)

s = zeros(nterms, nvar);
p = rand(1, nterms);
for i = 1:nterms
    x = randperm(degree+nvar);
    x = sort(x(1:nvar));
    s(i, 1) = x(1)-1;
    for j = 2:nvar
    	s(i, j) = x(j)-x(j-1)-1;
    end
end

%make sure we have a max degree term
s(nterms, 1) = degree - sum(s(nterms, 2:nvar));

[p,s] = mpolysimplify(p,s);